import { TypeOptionProps, SelectOption } from './type';
export interface OptionsType extends TypeOptionProps {
    $index?: number;
}
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").Ref<{
        clearIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        empty?: string;
        filterable?: boolean;
        loadingText?: string;
        placeholder?: string;
    }>;
    isEmpty: import("@vue/composition-api").ComputedRef<boolean>;
    renderTNode: (name: string, options?: import("../../hooks/render-lnode").OptionsType) => any;
    selectProvider: any;
    isCreateOptionShown: import("@vue/composition-api").ComputedRef<import("../input").InputValue>;
    trs: Map<any, any>;
    isVirtual: import("@vue/composition-api").ComputedRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    visibleData: import("@vue/composition-api").Ref<any[]>;
    scrollHeight: import("@vue/composition-api").ComputedRef<any>;
    translateY: import("@vue/composition-api").ComputedRef<any>;
    scrollType: "lazy" | "virtual";
    handleRowMounted: () => void;
    bufferSize: number;
    threshold: number;
    displayOptions: import("@vue/composition-api").ComputedRef<SelectOption[]>;
    getDisplayOptions: () => SelectOption[];
    componentName: import("@vue/composition-api").Ref<string>;
}> & import("@vue/composition-api").Data, {
    renderEmptyContent(): any;
    renderLoadingContent(): any;
    renderCreateOption(): any;
    renderOptionsContent(options: SelectOption[]): any;
    renderPanelContent(innerStyle?: {}): any;
}, {}, Readonly<{
    filter?: any;
    loading?: any;
    scroll?: any;
    multiple?: any;
    options?: any;
    size?: any;
    empty?: any;
    inputValue?: any;
    loadingText?: any;
    panelBottomContent?: any;
    panelTopContent?: any;
    creatable?: any;
    filterable?: any;
}>, {
    filter: any;
    loading: any;
    scroll: any;
    multiple: any;
    options: any;
    size: any;
    empty: any;
    inputValue: any;
    loadingText: any;
    panelBottomContent: any;
    panelTopContent: any;
    creatable: any;
    filterable: any;
} & {}> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    filter: any;
    loading: any;
    scroll: any;
    multiple: any;
    options: any;
    size: any;
    empty: any;
    inputValue: any;
    loadingText: any;
    panelBottomContent: any;
    panelTopContent: any;
    creatable: any;
    filterable: any;
} & {}, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").Ref<{
        clearIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        empty?: string;
        filterable?: boolean;
        loadingText?: string;
        placeholder?: string;
    }>;
    isEmpty: import("@vue/composition-api").ComputedRef<boolean>;
    renderTNode: (name: string, options?: import("../../hooks/render-lnode").OptionsType) => any;
    selectProvider: any;
    isCreateOptionShown: import("@vue/composition-api").ComputedRef<import("../input").InputValue>;
    trs: Map<any, any>;
    isVirtual: import("@vue/composition-api").ComputedRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    visibleData: import("@vue/composition-api").Ref<any[]>;
    scrollHeight: import("@vue/composition-api").ComputedRef<any>;
    translateY: import("@vue/composition-api").ComputedRef<any>;
    scrollType: "lazy" | "virtual";
    handleRowMounted: () => void;
    bufferSize: number;
    threshold: number;
    displayOptions: import("@vue/composition-api").ComputedRef<SelectOption[]>;
    getDisplayOptions: () => SelectOption[];
    componentName: import("@vue/composition-api").Ref<string>;
}>, import("@vue/composition-api").Data, {}, {
    renderEmptyContent(): any;
    renderLoadingContent(): any;
    renderCreateOption(): any;
    renderOptionsContent(options: SelectOption[]): any;
    renderPanelContent(innerStyle?: {}): any;
}, {}, {}, {}, {
    filter: any;
    loading: any;
    scroll: any;
    multiple: any;
    options: any;
    size: any;
    empty: any;
    inputValue: any;
    loadingText: any;
    panelBottomContent: any;
    panelTopContent: any;
    creatable: any;
    filterable: any;
} & {}, {
    filter: any;
    loading: any;
    scroll: any;
    multiple: any;
    options: any;
    size: any;
    empty: any;
    inputValue: any;
    loadingText: any;
    panelBottomContent: any;
    panelTopContent: any;
    creatable: any;
    filterable: any;
}, true>);
export default _default;
